%global npm_name json-schema
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 0.4.0
Release: %mkrel 2
Summary: JSON Schema validation and specifications
License: BSD
Group: Development/Other
URL: https://github.com/kriszyp/json-schema#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%doc README.md



%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.4.0-2.mga10
+ Revision: 2216695
- Mageia 10 Mass Rebuild

* Thu Dec 08 2022 kekepower <kekepower> 0.4.0-1.mga9
+ Revision: 1919303
- Update to version 0.4.0

* Tue Mar 22 2022 umeabot <umeabot> 0.2.3-4.mga9
+ Revision: 1818537
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.2.3-3.mga8
+ Revision: 1502959
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.2.3-2.mga7
+ Revision: 1280541
- Mageia 7 Mass Rebuild

* Tue May 22 2018 kekepower <kekepower> 0.2.3-1.mga7
+ Revision: 1231607
- imported package nodejs-json-schema

